
#ifndef KSCANDLG_H
#define KSCANDLG_H

#include "kscan.h"

#include <qtimer.h>

class KScanDlg : public KScan
{
  Q_OBJECT

public:
  KScanDlg(QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
  ~KScanDlg();
  /*$PUBLIC_FUNCTIONS$*/

public slots:
  /*$PUBLIC_SLOTS$*/
  virtual void          addSelected();
  virtual void          bssSelected( QListViewItem * sel );
  virtual void          getResults();
  virtual void          scanRequest();
  virtual void          updateResults();
  virtual void          setMainWin( KWlanMainWin *mainWin );

protected:
  /*$PROTECTED_FUNCTIONS$*/

protected slots:
  /*$PROTECTED_SLOTS$*/
    
private:
    KWlanMainWin *m_mainWin;
    QTimer *m_timer;

};

#endif


