#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file '/home/tluebke/kwlan/src/kprofileconfig.ui'
**
** Created: Sa Jun 3 19:54:29 2006
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.6   edited Aug 31 2005 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "kprofileconfig.h"

#include <qvariant.h>
#include <qmessagebox.h>
#include <qpushbutton.h>
#include <qframe.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qcombobox.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include <qimage.h>
#include <qpixmap.h>

#include "kwlanmainwin.h"
#include "kprofileconfig.ui.h"
/*
 *  Constructs a KProfileConfig as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
KProfileConfig::KProfileConfig( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "KProfileConfig" );
    setModal( TRUE );
    KProfileConfigLayout = new QGridLayout( this, 1, 1, 11, 6, "KProfileConfigLayout"); 

    layout18 = new QVBoxLayout( 0, 0, 6, "layout18"); 

    frConfig = new QFrame( this, "frConfig" );
    frConfig->setFrameShape( QFrame::StyledPanel );
    frConfig->setFrameShadow( QFrame::Raised );
    frConfigLayout = new QGridLayout( frConfig, 1, 1, 11, 6, "frConfigLayout"); 

    layout16 = new QVBoxLayout( 0, 0, 6, "layout16"); 

    layout6 = new QHBoxLayout( 0, 0, 6, "layout6"); 

    layout1 = new QVBoxLayout( 0, 0, 6, "layout1"); 

    txtSSID = new QLabel( frConfig, "txtSSID" );
    layout1->addWidget( txtSSID );

    txtAuthentication = new QLabel( frConfig, "txtAuthentication" );
    layout1->addWidget( txtAuthentication );

    txtEncryption = new QLabel( frConfig, "txtEncryption" );
    layout1->addWidget( txtEncryption );

    txtPSK = new QLabel( frConfig, "txtPSK" );
    layout1->addWidget( txtPSK );

    txtEAP = new QLabel( frConfig, "txtEAP" );
    layout1->addWidget( txtEAP );

    txtIdentity = new QLabel( frConfig, "txtIdentity" );
    layout1->addWidget( txtIdentity );

    txtPassword = new QLabel( frConfig, "txtPassword" );
    layout1->addWidget( txtPassword );

    txtCertificate = new QLabel( frConfig, "txtCertificate" );
    layout1->addWidget( txtCertificate );

    textLabel1 = new QLabel( frConfig, "textLabel1" );
    layout1->addWidget( textLabel1 );

    txtPrivateKey = new QLabel( frConfig, "txtPrivateKey" );
    layout1->addWidget( txtPrivateKey );
    layout6->addLayout( layout1 );

    layout5 = new QVBoxLayout( 0, 0, 6, "layout5"); 

    leSSID = new QLineEdit( frConfig, "leSSID" );
    layout5->addWidget( leSSID );

    cbAuthentication = new QComboBox( FALSE, frConfig, "cbAuthentication" );
    layout5->addWidget( cbAuthentication );

    cbEncryption = new QComboBox( FALSE, frConfig, "cbEncryption" );
    layout5->addWidget( cbEncryption );

    lePsk = new QLineEdit( frConfig, "lePsk" );
    lePsk->setEnabled( FALSE );
    lePsk->setEchoMode( QLineEdit::Password );
    layout5->addWidget( lePsk );

    cbEap = new QComboBox( FALSE, frConfig, "cbEap" );
    cbEap->setEnabled( FALSE );
    layout5->addWidget( cbEap );

    leIdentity = new QLineEdit( frConfig, "leIdentity" );
    leIdentity->setEnabled( FALSE );
    layout5->addWidget( leIdentity );

    lePassword = new QLineEdit( frConfig, "lePassword" );
    lePassword->setEnabled( FALSE );
    lePassword->setEchoMode( QLineEdit::Password );
    layout5->addWidget( lePassword );

    layout2 = new QHBoxLayout( 0, 0, 6, "layout2"); 

    leCertificate = new QLineEdit( frConfig, "leCertificate" );
    leCertificate->setEnabled( FALSE );
    layout2->addWidget( leCertificate );

    pbBrowseCert = new QPushButton( frConfig, "pbBrowseCert" );
    layout2->addWidget( pbBrowseCert );
    layout5->addLayout( layout2 );

    layout3 = new QHBoxLayout( 0, 0, 6, "layout3"); 

    leServerCertificate = new QLineEdit( frConfig, "leServerCertificate" );
    leServerCertificate->setEnabled( FALSE );
    layout3->addWidget( leServerCertificate );

    pbBrowseServerCert = new QPushButton( frConfig, "pbBrowseServerCert" );
    layout3->addWidget( pbBrowseServerCert );
    layout5->addLayout( layout3 );

    layout4 = new QHBoxLayout( 0, 0, 6, "layout4"); 

    lePrivateKey = new QLineEdit( frConfig, "lePrivateKey" );
    lePrivateKey->setEnabled( FALSE );
    layout4->addWidget( lePrivateKey );

    pbBrowseKey = new QPushButton( frConfig, "pbBrowseKey" );
    layout4->addWidget( pbBrowseKey );
    layout5->addLayout( layout4 );
    layout6->addLayout( layout5 );
    layout16->addLayout( layout6 );

    grWEP = new QButtonGroup( frConfig, "grWEP" );
    grWEP->setEnabled( TRUE );
    grWEP->setColumnLayout(0, Qt::Vertical );
    grWEP->layout()->setSpacing( 6 );
    grWEP->layout()->setMargin( 11 );
    grWEPLayout = new QGridLayout( grWEP->layout() );
    grWEPLayout->setAlignment( Qt::AlignTop );

    layout13 = new QHBoxLayout( 0, 0, 6, "layout13"); 

    layout8 = new QVBoxLayout( 0, 0, 6, "layout8"); 

    rbWep0 = new QRadioButton( grWEP, "rbWep0" );
    rbWep0->setEnabled( FALSE );
    rbWep0->setChecked( TRUE );
    layout8->addWidget( rbWep0 );

    rbWep1 = new QRadioButton( grWEP, "rbWep1" );
    rbWep1->setEnabled( FALSE );
    layout8->addWidget( rbWep1 );

    rbWep2 = new QRadioButton( grWEP, "rbWep2" );
    rbWep2->setEnabled( FALSE );
    layout8->addWidget( rbWep2 );

    rbWep3 = new QRadioButton( grWEP, "rbWep3" );
    rbWep3->setEnabled( FALSE );
    layout8->addWidget( rbWep3 );
    layout13->addLayout( layout8 );

    layout7 = new QVBoxLayout( 0, 0, 6, "layout7"); 

    leWep0 = new QLineEdit( grWEP, "leWep0" );
    leWep0->setEnabled( FALSE );
    layout7->addWidget( leWep0 );

    leWep1 = new QLineEdit( grWEP, "leWep1" );
    leWep1->setEnabled( FALSE );
    layout7->addWidget( leWep1 );

    leWep2 = new QLineEdit( grWEP, "leWep2" );
    leWep2->setEnabled( FALSE );
    layout7->addWidget( leWep2 );

    leWep3 = new QLineEdit( grWEP, "leWep3" );
    leWep3->setEnabled( FALSE );
    layout7->addWidget( leWep3 );
    layout13->addLayout( layout7 );

    grWEPLayout->addLayout( layout13, 0, 0 );

    grpEncryption = new QButtonGroup( grWEP, "grpEncryption" );
    grpEncryption->setColumnLayout(0, Qt::Vertical );
    grpEncryption->layout()->setSpacing( 6 );
    grpEncryption->layout()->setMargin( 11 );
    grpEncryptionLayout = new QGridLayout( grpEncryption->layout() );
    grpEncryptionLayout->setAlignment( Qt::AlignTop );

    layout14 = new QHBoxLayout( 0, 0, 6, "layout14"); 

    rbOpen = new QRadioButton( grpEncryption, "rbOpen" );
    rbOpen->setEnabled( FALSE );
    rbOpen->setChecked( TRUE );
    layout14->addWidget( rbOpen );

    rbShared = new QRadioButton( grpEncryption, "rbShared" );
    rbShared->setEnabled( FALSE );
    layout14->addWidget( rbShared );

    grpEncryptionLayout->addLayout( layout14, 0, 0 );

    grWEPLayout->addWidget( grpEncryption, 1, 0 );
    layout16->addWidget( grWEP );

    frConfigLayout->addLayout( layout16, 0, 0 );
    layout18->addWidget( frConfig );

    layout12 = new QHBoxLayout( 0, 0, 6, "layout12"); 

    pbIpSettings = new QPushButton( this, "pbIpSettings" );
    layout12->addWidget( pbIpSettings );
    spacer1 = new QSpacerItem( 66, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout12->addItem( spacer1 );

    pbAdd = new QPushButton( this, "pbAdd" );
    layout12->addWidget( pbAdd );

    pbCancel = new QPushButton( this, "pbCancel" );
    layout12->addWidget( pbCancel );
    layout18->addLayout( layout12 );

    KProfileConfigLayout->addLayout( layout18, 0, 0 );
    languageChange();
    resize( QSize(371, 606).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( cbAuthentication, SIGNAL( activated(int) ), this, SLOT( authChanged(int) ) );
    connect( pbCancel, SIGNAL( clicked() ), this, SLOT( close() ) );
    connect( pbAdd, SIGNAL( clicked() ), this, SLOT( addNetwork() ) );
    connect( cbEncryption, SIGNAL( activated(const QString&) ), this, SLOT( encrChanged(const QString&) ) );
    connect( pbBrowseCert, SIGNAL( clicked() ), this, SLOT( browseForCertificate() ) );
    connect( pbBrowseKey, SIGNAL( clicked() ), this, SLOT( browseForPrivateKey() ) );
    connect( pbBrowseServerCert, SIGNAL( clicked() ), this, SLOT( browseForServerCertificate() ) );
    connect( pbIpSettings, SIGNAL( clicked() ), this, SLOT( ipSettings() ) );

    // tab order
    setTabOrder( leSSID, cbAuthentication );
    setTabOrder( cbAuthentication, cbEncryption );
    setTabOrder( cbEncryption, lePsk );
    setTabOrder( lePsk, cbEap );
    setTabOrder( cbEap, leIdentity );
    setTabOrder( leIdentity, lePassword );
    setTabOrder( lePassword, leCertificate );
    setTabOrder( leCertificate, pbBrowseCert );
    setTabOrder( pbBrowseCert, leServerCertificate );
    setTabOrder( leServerCertificate, pbBrowseServerCert );
    setTabOrder( pbBrowseServerCert, lePrivateKey );
    setTabOrder( lePrivateKey, pbBrowseKey );
    setTabOrder( pbBrowseKey, rbWep0 );
    setTabOrder( rbWep0, leWep0 );
    setTabOrder( leWep0, rbWep1 );
    setTabOrder( rbWep1, leWep1 );
    setTabOrder( leWep1, rbWep2 );
    setTabOrder( rbWep2, leWep2 );
    setTabOrder( leWep2, rbWep3 );
    setTabOrder( rbWep3, leWep3 );
    setTabOrder( leWep3, pbIpSettings );
    setTabOrder( pbIpSettings, pbAdd );
    setTabOrder( pbAdd, pbCancel );
    init();
}

/*
 *  Destroys the object and frees any allocated resources
 */
KProfileConfig::~KProfileConfig()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KProfileConfig::languageChange()
{
    setCaption( tr2i18n( "NetworkConfig" ) );
    txtSSID->setText( tr2i18n( "SSID" ) );
    txtAuthentication->setText( tr2i18n( "Authentication" ) );
    txtEncryption->setText( tr2i18n( "Encryption" ) );
    txtPSK->setText( tr2i18n( "PSK" ) );
    txtEAP->setText( tr2i18n( "EAP method" ) );
    txtIdentity->setText( tr2i18n( "Identity" ) );
    txtPassword->setText( tr2i18n( "Password" ) );
    txtCertificate->setText( tr2i18n( "Client Cert." ) );
    textLabel1->setText( tr2i18n( "Server Cert." ) );
    txtPrivateKey->setText( tr2i18n( "Private key" ) );
    leSSID->setText( QString::null );
    QToolTip::add( leSSID, tr2i18n( "Network name (Service Set IDentifier)" ) );
    cbAuthentication->clear();
    cbAuthentication->insertItem( tr2i18n( "Plaintext or static WEP" ) );
    cbAuthentication->insertItem( tr2i18n( "IEEE 802.1X" ) );
    cbAuthentication->insertItem( tr2i18n( "WPA-Personal (PSK)" ) );
    cbAuthentication->insertItem( tr2i18n( "WPA-Enterprise (EAP)" ) );
    cbAuthentication->insertItem( tr2i18n( "WPA2-Personal (PSK)" ) );
    cbAuthentication->insertItem( tr2i18n( "WPA2-Enterprise (EAP)" ) );
    cbEncryption->clear();
    cbEncryption->insertItem( tr2i18n( "None" ) );
    cbEncryption->insertItem( tr2i18n( "WEP" ) );
    cbEncryption->insertItem( tr2i18n( "TKIP" ) );
    cbEncryption->insertItem( tr2i18n( "CCMP" ) );
    QToolTip::add( lePsk, tr2i18n( "WPA/WPA2 pre-shared key or passphrase" ) );
    QWhatsThis::add( lePsk, QString::null );
    QToolTip::add( leIdentity, tr2i18n( "Username/Identity for EAP methods" ) );
    QToolTip::add( lePassword, tr2i18n( "Password for EAP methods" ) );
    pbBrowseCert->setText( tr2i18n( "..." ) );
    pbBrowseCert->setAccel( QKeySequence( QString::null ) );
    pbBrowseServerCert->setText( tr2i18n( "..." ) );
    pbBrowseKey->setText( tr2i18n( "..." ) );
    pbBrowseKey->setAccel( QKeySequence( QString::null ) );
    grWEP->setTitle( tr2i18n( "WEP " ) );
    rbWep0->setText( tr2i18n( "&key 0" ) );
    rbWep0->setAccel( QKeySequence( tr2i18n( "Alt+K" ) ) );
    rbWep1->setText( tr2i18n( "key &1" ) );
    rbWep1->setAccel( QKeySequence( tr2i18n( "Alt+1" ) ) );
    rbWep2->setText( tr2i18n( "key &2" ) );
    rbWep2->setAccel( QKeySequence( tr2i18n( "Alt+2" ) ) );
    rbWep3->setText( tr2i18n( "key &3" ) );
    rbWep3->setAccel( QKeySequence( tr2i18n( "Alt+3" ) ) );
    grpEncryption->setTitle( tr2i18n( "Authentication mode" ) );
    rbOpen->setText( tr2i18n( "&Open" ) );
    rbOpen->setAccel( QKeySequence( tr2i18n( "Alt+O" ) ) );
    rbShared->setText( tr2i18n( "Share&d" ) );
    rbShared->setAccel( QKeySequence( tr2i18n( "Alt+D" ) ) );
    pbIpSettings->setText( tr2i18n( "IP Setti&ngs" ) );
    pbIpSettings->setAccel( QKeySequence( tr2i18n( "Alt+N" ) ) );
    pbAdd->setText( tr2i18n( "&Add" ) );
    pbAdd->setAccel( QKeySequence( tr2i18n( "Alt+A" ) ) );
    pbCancel->setText( tr2i18n( "&Cancel" ) );
    pbCancel->setAccel( QKeySequence( tr2i18n( "Alt+C" ) ) );
}

#include "kprofileconfig.moc"
